package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.BisHazAssess;

/**
 * 危险源考核 数据层
 */
@Mapper
public interface BisHazAssessMapper {

    /**
     * 查询危险源考核信息
     * @param id 查询条件
     * @return 危险源考核信息
     */
    BisHazAssess selectBisHazAssessById(Long id);

    /**
     * 查询危险源考核列表
     * @param bisHazAssess 危险源考核查询条件
     * @return 危险源考核集合
     */
    List<BisHazAssess> selectBisHazAssessList(BisHazAssess bisHazAssess);

    /**
     * 新增危险源考核
     * @param bisHazAssess 危险源考核信息
     * @return 影响行数
     */
    int insertBisHazAssess(BisHazAssess bisHazAssess);

    /**
     * 修改危险源考核
     * @param bisHazAssess 危险源考核信息
     * @return 影响行数
     */
    int updateBisHazAssess(BisHazAssess bisHazAssess);

    /**
     * 删除危险源考核
     * @param id 危险源考核主键
     * @return 影响行数
     */
    int deleteBisHazAssessById(Long id);

    /**
     * 批量删除危险源考核
     * @param ids 危险源考核主键数组
     * @return 影响行数
     */
    int deleteBisHazAssessByIds(Long[] ids);
}
